Bug 1933920

Summary: X.org Utility Deaggregation - xorg-x11-apps
Product: [Fedora] Fedora Reporter: Peter Hutterer <peter.hutterer>
Component: xorg-x11-appsAssignee: Peter Hutterer <peter.hutterer>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: ajax, caillon+fedoraproject, caolanm, jglisse, negativo17, rhughes, rstrode, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-23 02:04:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1933934, 1933935, 1933936, 1933937, 1933939, 1933940, 1933941, 1933942, 1933943, 1933944, 1933945, 1933946, 1933947, 1933949, 1933951, 1933952, 1933954, 1933955, 1933956, 1934359, 1947245    
Bug Blocks: 1867220    

Description Peter Hutterer 2021-03-02 02:34:49 UTC
This is a tracking bug for Change: X.org Utility Deaggregation
For more details, see: https://fedoraproject.org/wiki/Changes/XorgUtilityDeaggregation

This bug is for the xorg-x11-apps package and its future subpackages.

Comment 1 Peter Hutterer 2021-03-02 05:26:26 UTC
For backwards compatibility this package will change into a meta package that pulls in all the subtools, for now anyway. Though the only users of multiple applications seem to be kdebase3 (all or most of the utilities) and kde-workspace (some), all other in-tree users of xorg-x11-apps have been fixed up already.

Comment 2 Fedora Update System 2021-03-04 12:23:03 UTC
FEDORA-2021-c32498766f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

Comment 3 Fedora Update System 2021-03-04 16:59:32 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-c32498766f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-03-25 00:16:36 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.